dirm-model-optoins {bsts} | R Documentation

## Specify Options for a Dynamic Intercept Regression Model

### Description

Specify modeling options for a dynamic intercept regression model.

### Usage

    DirmModelOptions(timeout.seconds = Inf,
                     high.dimensional.threshold.factor = 1.0)

### Arguments

`timeout.seconds` | The overall time budget for model fitting. If the MCMC algorithm takes longer than this number, the current iteration will complete, and then the fitting algorithm will return with however many MCMC iterations were managed during the allotted time.

`high.dimensional.threshold.factor`

When doing Kalman filter updates for the model, Sherman-Morrisson-Woodbury style updates are applied for high dimensional data, while direct linear algebra is used for low dimensional data. The definition of "high dimensional" is relative to the dimension of the state. An observation is considered high dimensional if its dimension exceeds the state dimension times this factor.

### Value

An object of class `DirmModelOptions`, which is simply a list containing values of the function arguments.

The value of using this function instead of making a list "by hand" is that argument types are properly checked, and list names are sure to be correct.

[Package bsts version 0.9.1 Index]